<html>
<head>
<title>OgreParticleEmitterCommands.h File Reference - OGRE Documentation</title> <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1"> 
<link type="text/css" rel="stylesheet" href="doxygen.css">
<link type="text/css" rel="stylesheet" href="tabs.css">
</head>

<body>
<!-- Generated by Doxygen 1.7.6.1 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="pages.html"><span>Related&#160;Pages</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="namespaces.html"><span>Namespaces</span></a></li>
      <li><a href="annotated.html"><span>Classes</span></a></li>
      <li class="current"><a href="files.html"><span>Files</span></a></li>
      <li><a href="dirs.html"><span>Directories</span></a></li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="files.html"><span>File&#160;List</span></a></li>
      <li><a href="globals.html"><span>File&#160;Members</span></a></li>
    </ul>
  </div>
  <div id="nav-path" class="navpath">
    <ul>
      <li class="navelem"><a class="el" href="dir_aff4b7fb8d70b825eb8a2d7b3cbd2684.html">OgreMain</a>      </li>
      <li class="navelem"><a class="el" href="dir_5049b8c488e02232e72cb8867fab4a28.html">include</a>      </li>
    </ul>
  </div>
</div>
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#namespaces">Namespaces</a>  </div>
  <div class="headertitle">
<div class="title">OgreParticleEmitterCommands.h File Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="textblock"><code>#include &quot;<a class="el" href="OgrePrerequisites_8h_source.html">OgrePrerequisites.h</a>&quot;</code><br/>
<code>#include &quot;<a class="el" href="OgreStringInterface_8h_source.html">OgreStringInterface.h</a>&quot;</code><br/>
</div>
<p><a href="OgreParticleEmitterCommands_8h_source.html">Go to the source code of this file.</a></p>
<table class="memberdecls">
<tr><td colspan="2"><h2><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdAngle.html">Ogre::EmitterCommands::CmdAngle</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for <a class="el" href="classOgre_1_1ParticleEmitter.html" title="Abstract class defining the interface to be implemented by particle emitters.">ParticleEmitter</a> - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdAngle.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColour.html">Ogre::EmitterCommands::CmdColour</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdColour.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html">Ogre::EmitterCommands::CmdColourRangeStart</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdColourRangeStart.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html">Ogre::EmitterCommands::CmdColourRangeEnd</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdColourRangeEnd.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDirection.html">Ogre::EmitterCommands::CmdDirection</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdDirection.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdUp.html">Ogre::EmitterCommands::CmdUp</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdUp.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html">Ogre::EmitterCommands::CmdEmissionRate</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdEmissionRate.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html">Ogre::EmitterCommands::CmdVelocity</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdVelocity.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html">Ogre::EmitterCommands::CmdMinVelocity</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinVelocity.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html">Ogre::EmitterCommands::CmdMaxVelocity</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxVelocity.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdTTL.html">Ogre::EmitterCommands::CmdTTL</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdTTL.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html">Ogre::EmitterCommands::CmdMinTTL</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinTTL.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html">Ogre::EmitterCommands::CmdMaxTTL</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxTTL.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdPosition.html">Ogre::EmitterCommands::CmdPosition</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdPosition.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdDuration.html">Ogre::EmitterCommands::CmdDuration</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdDuration.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html">Ogre::EmitterCommands::CmdMinDuration</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinDuration.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html">Ogre::EmitterCommands::CmdMaxDuration</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxDuration.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html">Ogre::EmitterCommands::CmdRepeatDelay</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdRepeatDelay.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html">Ogre::EmitterCommands::CmdMinRepeatDelay</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMinRepeatDelay.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html">Ogre::EmitterCommands::CmdMaxRepeatDelay</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdMaxRepeatDelay.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdName.html">Ogre::EmitterCommands::CmdName</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdName.html#details">More...</a><br/></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html">Ogre::EmitterCommands::CmdEmittedEmitter</a></td></tr>
<tr><td class="mdescLeft">&#160;</td><td class="mdescRight">Command object for particle emitter - see <a class="el" href="classOgre_1_1ParamCommand.html" title="Abstract class which is command object which gets/sets parameters.">ParamCommand</a>.  <a href="classOgre_1_1EmitterCommands_1_1CmdEmittedEmitter.html#details">More...</a><br/></td></tr>
<tr><td colspan="2"><h2><a name="namespaces"></a>
Namespaces</h2></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre.html">Ogre</a></td></tr>
<tr><td class="memItemLeft" align="right" valign="top">namespace &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="namespaceOgre_1_1EmitterCommands.html">Ogre::EmitterCommands</a></td></tr>
</table>
</div><!-- contents -->
<hr>
<p>
Copyright &copy; 2012 Torus Knot Software Ltd<br />
<!--Creative Commons License--><a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/"><img alt="Creative Commons License" style="border-width:0" src="http://i.creativecommons.org/l/by-sa/3.0/88x31.png" /></a><br />This work is licensed under a <a rel="license" href="http://creativecommons.org/licenses/by-sa/3.0/">Creative Commons Attribution-ShareAlike 3.0 Unported License</a>.<br/>
		<!--/Creative Commons License--><!-- <rdf:RDF xmlns="http://web.resource.org/cc/" xmlns:dc="http://purl.org/dc/elements/1.1/" xmlns:rdf="http://www.w3.org/1999/02/22-rdf-syntax-ns#">
		<Work rdf:about="">
			<license rdf:resource="http://creativecommons.org/licenses/by-sa/2.5/" />
	<dc:type rdf:resource="http://purl.org/dc/dcmitype/Text" />
		</Work>
		<License rdf:about="http://creativecommons.org/licenses/by-sa/2.5/"><permits rdf:resource="http://web.resource.org/cc/Reproduction"/><permits rdf:resource="http://web.resource.org/cc/Distribution"/><requires rdf:resource="http://web.resource.org/cc/Notice"/><requires rdf:resource="http://web.resource.org/cc/Attribution"/><permits rdf:resource="http://web.resource.org/cc/DerivativeWorks"/><requires rdf:resource="http://web.resource.org/cc/ShareAlike"/></License></rdf:RDF> -->

Last modified Fri May 25 2012 21:48:53
</p>
</body>
</html>
